Support » Plugin: Page Builder Gutenberg Blocks – CoBlocks » Erreur fatale suite mise à jour v.2.8.0

  • Resolved hervepoet

    (@hervepoet)


    Bonjour, comme d’autres apparemment, erreur fatale au réveil :

    Fatal error: Uncaught Error: Class ‘WP_Block_Supports’ not found in /home/mamiegat/nunquam/wp-content/plugins/coblocks/src/components/gutter-control/gutter-wrapper.php:91 Stack trace: #0 /home/mamiegat/nunquam/wp-content/plugins/coblocks/class-coblocks.php(123): require_once() #1 /home/mamiegat/nunquam/wp-content/plugins/coblocks/class-coblocks.php(64): CoBlocks->includes() #2 /home/mamiegat/nunquam/wp-content/plugins/coblocks/class-coblocks.php(214): CoBlocks::instance() #3 /home/mamiegat/nunquam/wp-content/plugins/coblocks/class-coblocks.php(221): coblocks() #4 /home/mamiegat/nunquam/wp-admin/includes/plugin.php(2297): include(‘/home/mamiegat/…’) #5 /home/mamiegat/nunquam/wp-admin/plugins.php(191): plugin_sandbox_scrape(‘coblocks/class-…’) #6 {main} thrown in /home/mamiegat/nunquam/wp-content/plugins/coblocks/src/components/gutter-control/gutter-wrapper.php on line 91

    Tout ceci est du chinois pour moi. Merci SVP de me dire s’il y a qqch à faire…

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Support Milos Vlaisavljevic

    (@gdmilos)

    Hey @hervepoet,

    Thanks for reaching out!

    CoBlocks version 2.8.0 causes the mentioned error on WordPress prior to version 5.6.

    The latest plugin version works fine on WP 5.6 and 5.6.1 so I highly recommend you to update the core.

    I’ve just created a new issue on GitHub, please see:
    https://github.com/godaddy-wordpress/coblocks/issues/1827

    Hope the issue will be fixed soon! 🙂

    Kind Regards,
    Milos | GoDaddy

    Plugin Author Anthony Ledesma

    (@paranoia1906)

    Hi @hervepoet,

    Thank you for this report. We have released CoBlocks 2.8.1 which will resolve this issue you have reported. Please do not hesitate to let us know if you encounter further errors.

    Best regards,

    Anthony

    @gdmilos While I appreciate your quick reply to @hervepoet recommending that they update core when you guys are the ones who broke their site is just poor support.

    Some managed hosting companies delay WP Core updates intentionally for testing and the process is not always straightforward. It is the responsibility of plugin maintainers to push updates that are backward compatible with several recent versions of WP. This meant that yesterday’s updated wasn’t properly tested with a highly active version of WP. I had two sites go down because of this.

    Getting on it and fixing the bug with another update is very much appreciated, but the tone of service provided matters. Don’t fault the user for a flaw you introduced.

    Thread Starter hervepoet

    (@hervepoet)

    Bonjour,
    Tout est rentré dans l’ordre avec l’installation de la V.2.8.1
    Juste pour info, quand j’ai voulu faire la mise à jour proposée vers cette version, cela n’a pas marché et j’ai eu un message m’indiquant que j’avais déjà la dernière version, ce qui n’était pas exact puisque j’avais la V.2.8.0
    J’ai donc désinstallé la V.2.8.0 et installé ensuite le V.2.8.1
    Merci pour la résolution de ce problème.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Erreur fatale suite mise à jour v.2.8.0’ is closed to new replies.